aiocb(3type)

NAME
aiocb - asynchronous I/O control block

LIBRARY
Standard C library (libc)

SYNOPSIS
    #include <aio.h>

struct aiocb {
    int             aio_fildes;     /* File descriptor */
    off_t           aio_offset;     /* File offset */
    volatile void  *aio_buf;        /* Location of buffer */
    size_t          aio_nbytes;     /* Length of transfer */
    int             aio_reqprio;    /* Request priority offset */
    struct sigevent aio_sigevent;   /* Signal number and value */
    int             aio_lio_opcode; /* Operation to be performed */
};

DESCRIPTION
For further information about this structure, see aio(7).

STANDARDS
POSIX.1-2001 and later.

SEE ALSO
aio_cancel(3), aio_error(3), aio_fsync(3), aio_read(3), aio_return(3), aio_suspend(3), aio_write(3), lio_listio(3)